Xeonr Developer Docs

Verify TOTP Enrollment

POST
/xeonr.auth.private.v1.PasswordService/VerifyTotpEnrollment

Confirms TOTP setup by validating a code from the authenticator app. Returns recovery codes on success.

Required scopes: auth:account:edit

Authorization

BearerAuth
AuthorizationBearer <token>

JWT access token for internal API access. Requires 'private' scope for most endpoints, 'admin' scope for administrative operations.

In: header

Header Parameters

Connect-Protocol-Version*number

Define the version of the Connect protocol

Value in1
Connect-Timeout-Ms?number

Define the timeout, in ms

Request Body

application/json

totpCode?string

TOTP code from authenticator app to confirm setup

Length6 <= length <= 6
[key: string]?never

Response Body

application/json

application/json

curl -X POST "https://auth.xeonr.io/xeonr.auth.private.v1.PasswordService/VerifyTotpEnrollment" \  -H "Connect-Protocol-Version: 1" \  -H "Content-Type: application/json" \  -d '{}'
{
  "recoveryCodes": [
    "string"
  ]
}
{
  "code": "not_found",
  "message": "string",
  "details": [
    {
      "type": "string",
      "value": "string",
      "debug": {}
    }
  ]
}